Package org.apache.el.lang

## Class VariableMapperFactory

- java.lang.Object
- - javax.el.VariableMapper
  - - org.apache.el.lang.VariableMapperFactory

    public class VariableMapperFactory
    extends VariableMapper

### Constructor Summary

Constructors
`VariableMapperFactory​(VariableMapper target)`

### Method Summary

All Methods Instance Methods Concrete Methods
`VariableMapper` `create()`
`ValueExpression` `resolveVariable​(java.lang.String variable)`
`ValueExpression` `setVariable​(java.lang.String variable, ValueExpression expression)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VariableMapperFactory

    public VariableMapperFactory​(VariableMapper target)

### Method Detail

#### create

    public VariableMapper create()

#### resolveVariable

    public ValueExpression resolveVariable​(java.lang.String variable)

Specified by:
  `resolveVariable` in class `VariableMapper`

#### setVariable

    public ValueExpression setVariable​(java.lang.String variable,
                                       ValueExpression expression)

Specified by:
  `setVariable` in class `VariableMapper`